<?php
require_once(getabspath("classes/cipherer.php"));



$tdatadashboard = array();
$tdatadashboard[".ShortName"] = "dashboard";

$tdatadashboard[".pagesByType"] = my_json_decode( "{\"dashboard\":[\"dashboard\"]}" );
$tdatadashboard[".originalPagesByType"] = $tdatadashboard[".pagesByType"];
$tdatadashboard[".pages"] = types2pages( my_json_decode( "{\"dashboard\":[\"dashboard\"]}" ) );
$tdatadashboard[".originalPages"] = $tdatadashboard[".pages"];
$tdatadashboard[".defaultPages"] = my_json_decode( "{\"dashboard\":\"dashboard\"}" );
$tdatadashboard[".originalDefaultPages"] = $tdatadashboard[".defaultPages"];


//	field labels
$fieldLabelsdashboard = array();
$pageTitlesdashboard = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsdashboard["Spanish"] = array();
	$fieldLabelsdashboard["Spanish"]["socio_id_Socio"] = "Id Accionista";
	$fieldLabelsdashboard["Spanish"]["socio_ci"] = "Numero C.I.";
	$fieldLabelsdashboard["Spanish"]["socio_ci_complemento"] = "Complemento";
	$fieldLabelsdashboard["Spanish"]["socio_ci_procedencia"] = "Procedencia";
	$fieldLabelsdashboard["Spanish"]["socio_nombres"] = "Nombres";
	$fieldLabelsdashboard["Spanish"]["socio_apellido_Paterno"] = "Apellido Paterno";
	$fieldLabelsdashboard["Spanish"]["socio_apellido_Materno"] = "Apellido Materno";
	$fieldLabelsdashboard["Spanish"]["socio_fecha_Nacimiento"] = "Fecha";
	$fieldLabelsdashboard["Spanish"]["socio_lugar_Nacimiento"] = "Lugar";
	$fieldLabelsdashboard["Spanish"]["socio_depto_Nacimiento"] = "Departamento";
	$fieldLabelsdashboard["Spanish"]["socio_direccion"] = "Direccion";
	$fieldLabelsdashboard["Spanish"]["socio_profesion"] = "Ocupacion/Profesion";
	$fieldLabelsdashboard["Spanish"]["socio_telefono"] = "Telefono";
	$fieldLabelsdashboard["Spanish"]["socio_celular"] = "Celular";
	$fieldLabelsdashboard["Spanish"]["socio_foto_actual"] = "Foto Actual";
	$fieldLabelsdashboard["Spanish"]["socio_foto_Ci"] = "PDF CI";
	$fieldLabelsdashboard["Spanish"]["socio_estado"] = "Estado";
	$fieldLabelsdashboard["Spanish"]["socio_tipo_Doc"] = "Tipo Documento";
	$fieldLabelsdashboard["Spanish"]["socio_pais_Nacimiento"] = "Pais";
	$fieldLabelsdashboard["Spanish"]["socio_sexo"] = "Sexo";
	$fieldLabelsdashboard["Spanish"]["socio_estado_Civil"] = "Estado Civil";
	$fieldLabelsdashboard["Spanish"]["socio_apellido_Casada"] = "Apellido Casada";
	$fieldLabelsdashboard["Spanish"]["socio_tipo_accionista"] = "Tipo Accionista";
	$fieldLabelsdashboard["Spanish"]["socio_id_dp"] = "Derecho Propietario";
}

/*
//	search fields
$tdatadashboard[".searchFields"] = array();
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"id_Socio" );
$tdatadashboard[".searchFields"]["socio_id_Socio"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"ci" );
$tdatadashboard[".searchFields"]["socio_ci"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"ci_complemento" );
$tdatadashboard[".searchFields"]["socio_ci_complemento"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"ci_procedencia" );
$tdatadashboard[".searchFields"]["socio_ci_procedencia"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"nombres" );
$tdatadashboard[".searchFields"]["socio_nombres"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"apellido_Paterno" );
$tdatadashboard[".searchFields"]["socio_apellido_Paterno"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"apellido_Materno" );
$tdatadashboard[".searchFields"]["socio_apellido_Materno"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"fecha_Nacimiento" );
$tdatadashboard[".searchFields"]["socio_fecha_Nacimiento"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"lugar_Nacimiento" );
$tdatadashboard[".searchFields"]["socio_lugar_Nacimiento"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"depto_Nacimiento" );
$tdatadashboard[".searchFields"]["socio_depto_Nacimiento"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"direccion" );
$tdatadashboard[".searchFields"]["socio_direccion"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"profesion" );
$tdatadashboard[".searchFields"]["socio_profesion"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"telefono" );
$tdatadashboard[".searchFields"]["socio_telefono"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"celular" );
$tdatadashboard[".searchFields"]["socio_celular"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"foto_actual" );
$tdatadashboard[".searchFields"]["socio_foto_actual"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"foto_Ci" );
$tdatadashboard[".searchFields"]["socio_foto_Ci"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"estado" );
$tdatadashboard[".searchFields"]["socio_estado"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"tipo_Doc" );
$tdatadashboard[".searchFields"]["socio_tipo_Doc"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"pais_Nacimiento" );
$tdatadashboard[".searchFields"]["socio_pais_Nacimiento"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"sexo" );
$tdatadashboard[".searchFields"]["socio_sexo"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"estado_Civil" );
$tdatadashboard[".searchFields"]["socio_estado_Civil"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"apellido_Casada" );
$tdatadashboard[".searchFields"]["socio_apellido_Casada"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"tipo_accionista" );
$tdatadashboard[".searchFields"]["socio_tipo_accionista"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"id_dp" );
$tdatadashboard[".searchFields"]["socio_id_dp"] = $dashField;

// all search fields
$tdatadashboard[".allSearchFields"] = array();
$tdatadashboard[".allSearchFields"][] = "socio_id_Socio";
$tdatadashboard[".allSearchFields"][] = "socio_ci";
$tdatadashboard[".allSearchFields"][] = "socio_ci_complemento";
$tdatadashboard[".allSearchFields"][] = "socio_ci_procedencia";
$tdatadashboard[".allSearchFields"][] = "socio_nombres";
$tdatadashboard[".allSearchFields"][] = "socio_apellido_Paterno";
$tdatadashboard[".allSearchFields"][] = "socio_apellido_Materno";
$tdatadashboard[".allSearchFields"][] = "socio_fecha_Nacimiento";
$tdatadashboard[".allSearchFields"][] = "socio_lugar_Nacimiento";
$tdatadashboard[".allSearchFields"][] = "socio_depto_Nacimiento";
$tdatadashboard[".allSearchFields"][] = "socio_direccion";
$tdatadashboard[".allSearchFields"][] = "socio_profesion";
$tdatadashboard[".allSearchFields"][] = "socio_telefono";
$tdatadashboard[".allSearchFields"][] = "socio_celular";
$tdatadashboard[".allSearchFields"][] = "socio_foto_actual";
$tdatadashboard[".allSearchFields"][] = "socio_foto_Ci";
$tdatadashboard[".allSearchFields"][] = "socio_estado";
$tdatadashboard[".allSearchFields"][] = "socio_tipo_Doc";
$tdatadashboard[".allSearchFields"][] = "socio_pais_Nacimiento";
$tdatadashboard[".allSearchFields"][] = "socio_sexo";
$tdatadashboard[".allSearchFields"][] = "socio_estado_Civil";
$tdatadashboard[".allSearchFields"][] = "socio_apellido_Casada";
$tdatadashboard[".allSearchFields"][] = "socio_tipo_accionista";
$tdatadashboard[".allSearchFields"][] = "socio_id_dp";

// good like search fields
$tdatadashboard[".googleLikeFields"] = array();
$tdatadashboard[".googleLikeFields"][] = "socio_id_Socio";
$tdatadashboard[".googleLikeFields"][] = "socio_ci";
$tdatadashboard[".googleLikeFields"][] = "socio_ci_complemento";
$tdatadashboard[".googleLikeFields"][] = "socio_ci_procedencia";
$tdatadashboard[".googleLikeFields"][] = "socio_nombres";
$tdatadashboard[".googleLikeFields"][] = "socio_apellido_Paterno";
$tdatadashboard[".googleLikeFields"][] = "socio_apellido_Materno";
$tdatadashboard[".googleLikeFields"][] = "socio_fecha_Nacimiento";
$tdatadashboard[".googleLikeFields"][] = "socio_lugar_Nacimiento";
$tdatadashboard[".googleLikeFields"][] = "socio_depto_Nacimiento";
$tdatadashboard[".googleLikeFields"][] = "socio_direccion";
$tdatadashboard[".googleLikeFields"][] = "socio_profesion";
$tdatadashboard[".googleLikeFields"][] = "socio_telefono";
$tdatadashboard[".googleLikeFields"][] = "socio_celular";
$tdatadashboard[".googleLikeFields"][] = "socio_foto_actual";
$tdatadashboard[".googleLikeFields"][] = "socio_foto_Ci";
$tdatadashboard[".googleLikeFields"][] = "socio_estado";
$tdatadashboard[".googleLikeFields"][] = "socio_tipo_Doc";
$tdatadashboard[".googleLikeFields"][] = "socio_pais_Nacimiento";
$tdatadashboard[".googleLikeFields"][] = "socio_sexo";
$tdatadashboard[".googleLikeFields"][] = "socio_estado_Civil";
$tdatadashboard[".googleLikeFields"][] = "socio_apellido_Casada";
$tdatadashboard[".googleLikeFields"][] = "socio_tipo_accionista";
$tdatadashboard[".googleLikeFields"][] = "socio_id_dp";
*/

/*
$tdatadashboard[".dashElements"] = array();

	$dbelement = array( "elementName" => "Dashboard_snippet", "table" => "socio",
		 "pageName" => "","type" => 7);
	$dbelement["cellName"] = "";

		$dbelement["reload"] = 60;
		$dbelement["width"] = 800;
		$dbelement["height"] = 600;
	$dbelement["snippetId"] = "Dashboard_snippet11";


	$tdatadashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "Dashboard_snippet1", "table" => "socio",
		 "pageName" => "","type" => 7);
	$dbelement["cellName"] = "";

		$dbelement["reload"] = 60;
		$dbelement["width"] = 800;
		$dbelement["height"] = 600;
	$dbelement["snippetId"] = "Dashboard_snippet111";


	$tdatadashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "Dashboard_snippet2", "table" => "socio",
		 "pageName" => "","type" => 7);
	$dbelement["cellName"] = "";

		$dbelement["reload"] = 60;
		$dbelement["width"] = 800;
		$dbelement["height"] = 600;
	$dbelement["snippetId"] = "Dashboard_snippet1111";


	$tdatadashboard[".dashElements"][] = $dbelement;
*/
$tdatadashboard[".shortTableName"] = "dashboard";
$tdatadashboard[".entityType"] = 4;












include_once(getabspath("include/dashboard_events.php"));
$tdatadashboard[".hasEvents"] = true;


$tdatadashboard[".tableType"] = "dashboard";


										
$tdatadashboard[".addPageEvents"] = false;

$tdatadashboard[".isUseAjaxSuggest"] = true;

$tables_data["Dashboard"]=&$tdatadashboard;
$field_labels["Dashboard"] = &$fieldLabelsdashboard;
$page_titles["Dashboard"] = &$pageTitlesdashboard;

?>